{ config, pkgs, lib, ... }:
{
  programs.nixvim = {
    enable = true;
    clipboard.register = "unnamedplus";
    #    plugins.neotree.enable = true;
    plugins = {
      lsp.servers.nixd = {
        enable = true;
	settings = {
	  formatting.command = ["nixfmt"];
	  nixpkgs.expr = "import (builtins.getFlake \"~/nixconf\").inputs.nixpkgs { }";
	};
	extraOptions = {
	  "nixos" = {
	    "expr" = "(builtins.getFlake \"~/nixconf\").nixosConfigurations.gabbielaptop.options";
	  };
          "home-manager" = {
	    "expr" = "(builtins.getFlake \"~/nixconf\").homeConfigurations.blue.options";
	  };
	};
      };
    };
  };
}
